Summary: An X11 based personal finance manager.
Name: cbb
Version: 0.78
Release: 3
Copyright: distributable
Group: Applications/Productivity
Url: http://www.menet.umn.edu/~clolson/cbb/
Source0: ftp://ftp.me.umn.edu/pub/finance/cbb-%{version}.tar.gz
Source1: cbb.wmconfig
Patch0: cbb-0.72-webbrowser.patch
Patch1: cbb-makefile.patch 
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-root

Requires: tk >= 4.0, tcl >= 7.4, gnuplot

%description
CBB is a personal financial management application written in Tcl/Tk
and Perl (it contains no compiled code) and utilizing a simple (tab
delimited) data file format.  CBB provides a simple interface for
users to balance their checkbooks and to add their own reports,
graphs, and external modules without having to modify any of the CBB
source.

%prep
%setup -q 
#%patch0 -p1
%patch1 -p1 -b .orig

%build 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/cbb
mkdir -p $RPM_BUILD_ROOT/usr/bin

make install INSTALL_DIR=$RPM_BUILD_ROOT/usr<< EOF
/usr/bin/perl
/usr/bin/wish
EOF

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/cbb.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/cbb

%clean
rm -rf $RPM_BUILD_ROOT

%post
#
# find a web browser
#
PATH="$PATH:/usr/local/bin"
BROWSERS="netscape Netscape redbaron mosaic xmosaic Mosaic grail arena chime ra tkwww lynx"
DEFAULT_BROWSER=""
for i in $BROWSERS; do
   b=`type -path $i`
   if [ "$b" != "" ]; then
     if [ -x $b ]; then
        if [ "$DEFAULT_BROWSER" = "" ]; then
           if [ $i = "redbaron" ]; then
               DEFAULT_BROWSER="$b -url"
           else
               DEFAULT_BROWSER="$b"
           fi
        fi
     fi
   fi
done

cd /usr/lib/cbb
mv menu.tcl menu-orig.tcl
sed "s+exec netscape.*+exec $DEFAULT_BROWSER file:/usr/lib/cbb/docs/cbb-man/cbb-man.html+" < menu-orig.tcl > menu.tcl
rm menu-orig.tcl

%files
%defattr(-,root,root)
%doc Announce Bugs COPYING FAQ README THANKS Todo Version cbb.lsm
/usr/bin/cbb

%docdir /usr/lib/cbb/docs
/usr/lib/cbb
/etc/X11/wmconfig/cbb

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- rebuilt 0.78 for 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.78.

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package to 74
- built package for 5.2

* Wed Jun 03 1998 Michael Maher <mike@redhat.com>
- fixed dependency and path problems.

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- checked package and updated spec file
- added build root.

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- made noarch
- added wmconfig entry

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- added changelog
